Subject: bug#46256: [feature/native-comp] AOT eln files ignored if run from build tree

From: Eli Zaretskii <[email-masked]>
Date: Wed, 03 Mar 2021 21:46:44 +0200

> Date: Wed, 03 Mar 2021 20:43:01 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> Some more info about these crashes: I see this in the *Messages*
> buffer when a compilation crashes:
> 
>        Warning (comp): comp.h:70: Emacs fatal error: assertion failed: NATIVE_COMP_UNITP (a)^M
> 
> I also see similar picture in emacs_backtrace.txt:
> 
>   emacs_abort at src/w32fns.c:10947
>   terminate_due_to_signal at src/emacs.c:417
>   die at src/alloc.c:7452
>   XNATIVE_COMP_UNIT at src/comp.h:70
>   load_comp_unit at src/comp.c:4766
>   syms_of_comp at src/comp.c:5077
>   Fload at src/lread.c:1548

It looks like these crashes are when compiling subr-x, because I see
zero-sized subr-x-XXXXX.eln.tmp files in the eln-cache directory.